

This is a multi-part message in MIME format.

------=_NextPart_000_0050_01C4C57D.BCC9EB70
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit

Update Makefiles under drivers/ to compile CRIS drivers.

Signed-off-by: Mikael Starvik <starvik@axis.com>

------=_NextPart_000_0050_01C4C57D.BCC9EB70
Content-Type: application/octet-stream;
	name="cris269_9.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
	filename="cris269_9.patch"

modif/arch/cris/arch-v10/drivers/Makefile
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/cris/arch-v10/drivers/Makefile |    4 ----
 25-akpm/drivers/ide/Makefile                |    1 +
 25-akpm/drivers/ide/cris/Makefile           |    3 +++
 25-akpm/drivers/net/Makefile                |    1 +
 25-akpm/drivers/net/cris/Makefile           |    1 +
 25-akpm/drivers/serial/Makefile             |    1 +
 25-akpm/drivers/usb/Makefile                |    1 +
 25-akpm/drivers/usb/host/Makefile           |    1 +
 8 files changed, 9 insertions(+), 4 deletions(-)

diff -puN arch/cris/arch-v10/drivers/Makefile~cris-architecture-update-update-makefiles arch/cris/arch-v10/drivers/Makefile
--- 25/arch/cris/arch-v10/drivers/Makefile~cris-architecture-update-update-makefiles	Mon Nov  8 14:19:39 2004
+++ 25-akpm/arch/cris/arch-v10/drivers/Makefile	Mon Nov  8 14:19:39 2004
@@ -2,15 +2,11 @@
 # Makefile for Etrax-specific drivers
 #
 
-obj-$(CONFIG_ETRAX_ETHERNET)            += ethernet.o
-obj-$(CONFIG_ETRAX_SERIAL)              += serial.o
 obj-$(CONFIG_ETRAX_AXISFLASHMAP)        += axisflashmap.o
 obj-$(CONFIG_ETRAX_I2C) 	        += i2c.o
 obj-$(CONFIG_ETRAX_I2C_EEPROM)          += eeprom.o
 obj-$(CONFIG_ETRAX_GPIO) 	        += gpio.o
 obj-$(CONFIG_ETRAX_DS1302)              += ds1302.o
 obj-$(CONFIG_ETRAX_PCF8563)		+= pcf8563.o
-obj-$(CONFIG_ETRAX_IDE)                 += ide.o
-obj-$(CONFIG_ETRAX_USB_HOST)            += usb-host.o
 
 
diff -puN /dev/null drivers/ide/cris/Makefile
--- /dev/null	Thu Apr 11 07:25:15 2002
+++ 25-akpm/drivers/ide/cris/Makefile	Mon Nov  8 14:19:39 2004
@@ -0,0 +1,3 @@
+EXTRA_CFLAGS				+= -Idrivers/ide
+
+obj-$(CONFIG_ETRAX_ARCH_V10)		+= ide-v10.o
diff -puN drivers/ide/Makefile~cris-architecture-update-update-makefiles drivers/ide/Makefile
--- 25/drivers/ide/Makefile~cris-architecture-update-update-makefiles	Mon Nov  8 14:19:39 2004
+++ 25-akpm/drivers/ide/Makefile	Mon Nov  8 14:19:39 2004
@@ -52,3 +52,4 @@ obj-$(CONFIG_BLK_DEV_IDEFLOPPY)		+= ide-
 
 obj-$(CONFIG_BLK_DEV_IDE)		+= legacy/ arm/
 obj-$(CONFIG_BLK_DEV_HD)		+= legacy/
+obj-$(CONFIG_ETRAX_IDE)		+= cris/
diff -puN /dev/null drivers/net/cris/Makefile
--- /dev/null	Thu Apr 11 07:25:15 2002
+++ 25-akpm/drivers/net/cris/Makefile	Mon Nov  8 14:19:39 2004
@@ -0,0 +1 @@
+obj-$(CONFIG_ETRAX_ARCH_V10) += eth_v10.o
diff -puN drivers/net/Makefile~cris-architecture-update-update-makefiles drivers/net/Makefile
--- 25/drivers/net/Makefile~cris-architecture-update-update-makefiles	Mon Nov  8 14:19:39 2004
+++ 25-akpm/drivers/net/Makefile	Mon Nov  8 14:19:39 2004
@@ -194,5 +194,6 @@ obj-$(CONFIG_NET_WIRELESS) += wireless/
 obj-$(CONFIG_NET_TULIP) += tulip/
 obj-$(CONFIG_HAMRADIO) += hamradio/
 obj-$(CONFIG_IRDA) += irda/
+obj-$(CONFIG_ETRAX_ETHERNET) += cris/
 
 obj-$(CONFIG_NETCONSOLE) += netconsole.o
diff -puN drivers/serial/Makefile~cris-architecture-update-update-makefiles drivers/serial/Makefile
--- 25/drivers/serial/Makefile~cris-architecture-update-update-makefiles	Mon Nov  8 14:19:39 2004
+++ 25-akpm/drivers/serial/Makefile	Mon Nov  8 14:19:39 2004
@@ -45,3 +45,4 @@ obj-$(CONFIG_SERIAL_IMX) += imx.o
 obj-$(CONFIG_SERIAL_MPC52xx) += mpc52xx_uart.o
 obj-$(CONFIG_SERIAL_ICOM) += icom.o
 obj-$(CONFIG_SERIAL_M32R_SIO) += m32r_sio.o
+obj-$(CONFIG_ETRAX_SERIAL) += crisv10.o
\ No newline at end of file
diff -puN drivers/usb/host/Makefile~cris-architecture-update-update-makefiles drivers/usb/host/Makefile
--- 25/drivers/usb/host/Makefile~cris-architecture-update-update-makefiles	Mon Nov  8 14:19:39 2004
+++ 25-akpm/drivers/usb/host/Makefile	Mon Nov  8 14:19:39 2004
@@ -8,3 +8,4 @@ obj-$(CONFIG_USB_OHCI_HCD)	+= ohci-hcd.o
 obj-$(CONFIG_USB_UHCI_HCD)	+= uhci-hcd.o
 
 obj-$(CONFIG_USB_SL811HS)	+= hc_sl811.o
+obj-$(CONFIG_ETRAX_ARCH_V10)	+= hc_crisv10.o
diff -puN drivers/usb/Makefile~cris-architecture-update-update-makefiles drivers/usb/Makefile
--- 25/drivers/usb/Makefile~cris-architecture-update-update-makefiles	Mon Nov  8 14:19:39 2004
+++ 25-akpm/drivers/usb/Makefile	Mon Nov  8 14:19:39 2004
@@ -10,6 +10,7 @@ obj-$(CONFIG_USB_EHCI_HCD)	+= host/
 obj-$(CONFIG_USB_OHCI_HCD)	+= host/
 obj-$(CONFIG_USB_UHCI_HCD)	+= host/
 obj-$(CONFIG_USB_SL811HS)	+= host/
+obj-$(CONFIG_ETRAX_USB_HOST)	+= host/
 
 obj-$(CONFIG_USB_ACM)		+= class/
 obj-$(CONFIG_USB_AUDIO)		+= class/
_
